@use "colors";
@use "variables";

.fact-item,
.demand-item {
    .head {
        display: flex;
        flex-direction: column;

        @media not screen and (max-width: variables.$mobile-width) {
            flex-direction: row;

            &.reverse {
                flex-direction: row-reverse;
            }

            .icon {
                width: 33.3%;
            }

            .headline {
                width: 66.6%;
            }
        }

        .icon {
            padding-bottom: 1.5rem;

            img {
                display: flex;
                align-self: center;
                margin-right: auto;
                margin-left: auto;
                padding: 0;
                height: variables.$default-icon-height;
                max-width: 100%;
                object-fit: contain;
            }
        }

        .headline h3 {
            margin-bottom: 1rem;
        }
    }

    .content {
        max-width: 100%;

        .link-section {
            display: flex;
            flex-wrap: wrap;
            margin-bottom: -1.2rem;

            .button {
                margin-top: 0.2rem;
                margin-bottom: 1.2rem;
                margin-right: 1rem;
            }
        }

        .post-will-follow {
            color: colors.$gray;
        }

        .button {
            /* Edge compatibility */
            max-width: 300px;
            text-align: center;
        }
    }

    .text {
        padding-top: 1rem;

        @media not screen and (max-width: variables.$mobile-width) {
            .markdown {
                column-count: 2;
                column-gap: 4rem;
            }
        }
    }
}

.demand-item {
    .button {
        margin-top: 1rem;
    }
}

.crisis-climate-action-plan {
    @media screen and (min-width: variables.$large-device) {
        .link-section {
            width: 150%;
        }
    }
}